curl --request POST \
--url https://connect.withvayu.com/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"aliases": [],
"contacts": [
{
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"receiveInvoiceEmail": true
}
],
"legalName": "<string>",
"taxIds": [],
"taxId": "<string>",
"cloudProviderSettings": {
"cloudProvider": "AWS",
"cloudProviderMarketplaceId": "<string>",
"customerIdentifier": "<string>"
},
"externalId": "<string>",
"customerErpId": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"addressText": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"salesForceAccountId": "<string>",
"customFields": [
{
"vayuCustomFieldName": "<string>",
"fieldPath": "<string>",
"value": "<unknown>"
}
],
"subsidiary": "<string>",
"totalOutstandingAmount": 123,
"openAmount": 123,
"overdueAmount": 123,
"pendingPaymentAmount": 123,
"paidAmount": 123
}
'import requests
url = "https://connect.withvayu.com/customers"
payload = {
"name": "<string>",
"aliases": [],
"contacts": [
{
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"receiveInvoiceEmail": True
}
],
"legalName": "<string>",
"taxIds": [],
"taxId": "<string>",
"cloudProviderSettings": {
"cloudProvider": "AWS",
"cloudProviderMarketplaceId": "<string>",
"customerIdentifier": "<string>"
},
"externalId": "<string>",
"customerErpId": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"addressText": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"salesForceAccountId": "<string>",
"customFields": [
{
"vayuCustomFieldName": "<string>",
"fieldPath": "<string>",
"value": "<unknown>"
}
],
"subsidiary": "<string>",
"totalOutstandingAmount": 123,
"openAmount": 123,
"overdueAmount": 123,
"pendingPaymentAmount": 123,
"paidAmount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
aliases: [],
contacts: [
{
name: '<string>',
email: '<string>',
title: '<string>',
phone: '<string>',
receiveInvoiceEmail: true
}
],
legalName: '<string>',
taxIds: [],
taxId: '<string>',
cloudProviderSettings: {
cloudProvider: 'AWS',
cloudProviderMarketplaceId: '<string>',
customerIdentifier: '<string>'
},
externalId: '<string>',
customerErpId: '<string>',
address: {
country: '<string>',
city: '<string>',
addressText: '<string>',
state: '<string>',
postalCode: '<string>'
},
salesForceAccountId: '<string>',
customFields: [{vayuCustomFieldName: '<string>', fieldPath: '<string>', value: '<unknown>'}],
subsidiary: '<string>',
totalOutstandingAmount: 123,
openAmount: 123,
overdueAmount: 123,
pendingPaymentAmount: 123,
paidAmount: 123
})
};
fetch('https://connect.withvayu.com/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": {
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"aliases": [],
"contacts": [
{
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"receiveInvoiceEmail": true
}
],
"legalName": "<string>",
"taxIds": [],
"taxId": "<string>",
"cloudProviderSettings": {
"cloudProvider": "AWS",
"cloudProviderMarketplaceId": "<string>",
"customerIdentifier": "<string>"
},
"externalId": "<string>",
"customerErpId": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"addressText": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"salesForceAccountId": "<string>",
"customFields": [
{
"vayuCustomFieldName": "<string>",
"fieldPath": "<string>",
"value": "<unknown>"
}
],
"subsidiary": "<string>",
"totalOutstandingAmount": 123,
"openAmount": 123,
"overdueAmount": 123,
"pendingPaymentAmount": 123,
"paidAmount": 123
}
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Create Customer
Create a new Customer.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the customer
The aliases of the customer used to match events to the customer.
The contacts of the customer. Contact marked as primary is the target for invoice sharing.
Show child attributes
Show child attributes
The source of the customer
Stripe, VayuEventsApi, Api, Salesforce, HubSpot The legal name of the customer
The tax IDs of the customer
The tax ID of the customer (deprecated, use taxIds instead)
Cloud provider settings for the customer
Show child attributes
Show child attributes
The external ID of the customer
The ID of the customer in the ERP system
The address of the customer
Show child attributes
Show child attributes
The ID of the customer in the Salesforce system
The due days of the customer
END_OF_MONTH, SAME_DAY, 15_DAYS, 30_DAYS, 45_DAYS, 60_DAYS, 90_DAYS The billing currency of the customer
USD, EUR, GBP, ILS, CAD, AUD, COP, BRL Custom fields from CRM systems (Salesforce, HubSpot, etc.)
Show child attributes
Show child attributes
The name of the subsidiary of the customer
Total outstanding amount across all unpaid invoices (in USD)
Total amount of invoices with no billing status set (in USD)
Total amount of overdue invoices (in USD)
Total amount of invoices pending payment (in USD)
Total amount of paid invoices (in USD)
Response
RequestSuccess
Show child attributes
Show child attributes
